Commit 84654f5a authored by Archit Tamarapu's avatar Archit Tamarapu
Browse files

try debugging failed commands

parent 6e12182e
Loading
Loading
Loading
Loading
Loading
+22 −20
Original line number Diff line number Diff line
@@ -2200,6 +2200,8 @@ coverage-test-on-main-scheduled:
    - if: $COVERAGE_TEST
  timeout: 12 hours
  script:
    - set -e
    - "trap 'echo \"Command failed at line $LINENO: $BASH_COMMAND\"' ERR"
    - bash "${CI_PROJECT_DIR}"/ivas-codec-ci/snippets/print-common-info.sh
    - bash "${CI_PROJECT_DIR}"/ivas-codec-ci/snippets/update-ltv-repo.sh
    - bash "${CI_PROJECT_DIR}"/ivas-codec-ci/snippets/copy-ltv-files-to-testv-dir.sh
@@ -2216,29 +2218,29 @@ coverage-test-on-main-scheduled:
    # codec smoke test
    - bash ci/smoke_test.sh coverage
    # default renderer framesize is 20ms
    - python3 -m pytest $TESTS_DIR_CODEC_BE_ON_MR -v -n auto --update_ref 1 --ref_encoder_path ./IVAS_cod --ref_decoder_path ./IVAS_dec
    - python3 -m pytest $TESTS_DIR_CODEC_BE_ON_MR -v -n auto -q --tb=no --update_ref 1 --ref_encoder_path ./IVAS_cod --ref_decoder_path ./IVAS_dec
    # for different renderer framesizes, only the decoder needs to be tested, so use --decoder_only
    # need to ignore non-zero exit codes as limiter is active and thus the different framesiszes will not be BE in all cases
    - python3 -m pytest $TESTS_DIR_CODEC_BE_ON_MR -v --dut_encoder_path ./IVAS_cod --dut_decoder_path ./IVAS_dec --dut_fr 5 --decoder_only || true
    - python3 -m pytest $TESTS_DIR_CODEC_BE_ON_MR -v --dut_encoder_path ./IVAS_cod --dut_decoder_path ./IVAS_dec --dut_fr 10 --decoder_only || true
    - python3 -m pytest $TESTS_DIR_CODEC_BE_ON_MR -v -n auto -q --tb=no --dut_encoder_path ./IVAS_cod --dut_decoder_path ./IVAS_dec --dut_fr 5 --decoder_only || true
    - python3 -m pytest $TESTS_DIR_CODEC_BE_ON_MR -v -n auto -q --tb=no --dut_encoder_path ./IVAS_cod --dut_decoder_path ./IVAS_dec --dut_fr 10 --decoder_only || true
    # run renderer smoke test - needed for REFVEC tests
    - python3 -m pytest -q -n auto tests/renderer/test_renderer.py
    - python3 -m pytest -n auto -q --tb=no tests/renderer/test_renderer.py
    # run renderer test only with REF creation stage - no CUT needed since executables are identical
    - python3 -m pytest -q -n auto tests/renderer/test_renderer.py --create_ref
    - python3 -m pytest -n auto -q --tb=no tests/renderer/test_renderer.py --create_ref
    # run split rendering smoke test and REF creation
    - python3 -m pytest -n auto tests/split_rendering/test_split_rendering.py
    - python3 -m pytest -n auto tests/split_rendering/test_split_rendering.py --create_ref
    - python3 -m pytest -n auto -q --tb=no tests/split_rendering/test_split_rendering.py
    - python3 -m pytest -n auto -q --tb=no tests/split_rendering/test_split_rendering.py --create_ref
    # VoIP BE test
    - python3 -m pytest tests/test_be_for_jbm_neutral_dly_profile.py
    - python3 -m pytest -q --tb=no tests/test_be_for_jbm_neutral_dly_profile.py
    # split rendering VoIP BE test
    - python3 -m pytest -n auto tests/split_rendering/test_voip_be_splitrend_vs_binaural.py
    - python3 -m pytest -n auto -q --tb=no tests/split_rendering/test_voip_be_splitrend_vs_binaural.py
    # TODO first frame SID - this script runs a `make clean` and needs to be checked/adapted
    # - bash ci/run-first-frame-is-sid-test.sh
    # TODO consider HRTF binary loading test, or probably already covered by PRM files
    # - python3 -m pytest tests/hrtf_binary_loading
    # - python3 -m pytest -q --tb=no tests/hrtf_binary_loading
    # run BE vs EXT test
    - python3 tests/create_short_testvectors.py --cut_len 1.0
    - python3 -m pytest tests/test_be_for_ext_outputs.py
    - python3 -m pytest -q --tb=no tests/test_be_for_ext_outputs.py
    # run LC3plus wrapper unit test
    - scripts/split_rendering/lc3plus_float/ivas_lc3plus_unit_test
    # TODO consider including check-clipping, but this scales ALL testv files. could be added at end of this job
@@ -2250,22 +2252,22 @@ coverage-test-on-main-scheduled:
    - lcov -r coverage_stv.info "*lib_util*" -o coverage_stv.info

    # -- Add extended coverage of EVS test and long test vectors
    - python3 -m pytest $TESTS_DIR_CODEC_BE_ON_MR/test_param_file.py -v -n auto --update_ref 1 --param_file scripts/config/self_test_evs.prm --ref_encoder_path ./IVAS_cod --ref_decoder_path ./IVAS_dec
    - python3 -m pytest $TESTS_DIR_CODEC_BE_ON_MR/test_param_file.py -v -n auto -q --tb=no --update_ref 1 --param_file scripts/config/self_test_evs.prm --ref_encoder_path ./IVAS_cod --ref_decoder_path ./IVAS_dec
    # codec smoke test
    - bash ci/smoke_test.sh coverage
    # default renderer framesize is 20ms
    - python3 -m pytest $TESTS_DIR_CODEC_BE_ON_MR/test_param_file.py -v -n auto --update_ref 1 --param_file scripts/config/self_test_ltv.prm --ref_encoder_path ./IVAS_cod --ref_decoder_path ./IVAS_dec
    - python3 -m pytest $TESTS_DIR_CODEC_BE_ON_MR/test_param_file.py -v -n auto -q --tb=no --update_ref 1 --param_file scripts/config/self_test_ltv.prm --ref_encoder_path ./IVAS_cod --ref_decoder_path ./IVAS_dec
    # for different renderer framesizes, only the decoder needs to be tested, so use --decoder_only
    # need to ignore non-zero exit codes as limiter is active and thus the different framesiszes will not be BE in all cases
    - python3 -m pytest $TESTS_DIR_CODEC_BE_ON_MR/test_param_file.py -v -n auto --param_file scripts/config/self_test_ltv.prm -dut_decoder_path ./IVAS_dec --decoder_only --dut_fr 5 || true
    - python3 -m pytest $TESTS_DIR_CODEC_BE_ON_MR/test_param_file.py -v -n auto --param_file scripts/config/self_test_ltv.prm -dut_decoder_path ./IVAS_dec --decoder_only --dut_fr 10 || true
    - python3 -m pytest $TESTS_DIR_CODEC_BE_ON_MR/test_sba.py -v -n auto --update_ref 1 --ref_encoder_path ./IVAS_cod --ref_decoder_path ./IVAS_dec --use_ltv
    - python3 -m pytest $TESTS_DIR_CODEC_BE_ON_MR/test_sba.py -v --dut_encoder_path ./IVAS_cod --dut_decoder_path ./IVAS_dec --dut_fr 5 --decoder_only --use_ltv || true
    - python3 -m pytest $TESTS_DIR_CODEC_BE_ON_MR/test_sba.py -v --dut_encoder_path ./IVAS_cod --dut_decoder_path ./IVAS_dec --dut_fr 10 --decoder_only --use_ltv || true
    - python3 -m pytest $TESTS_DIR_CODEC_BE_ON_MR/test_param_file.py -v -n auto -q --tb=no --param_file scripts/config/self_test_ltv.prm -dut_decoder_path ./IVAS_dec --decoder_only --dut_fr 5 || true
    - python3 -m pytest $TESTS_DIR_CODEC_BE_ON_MR/test_param_file.py -v -n auto -q --tb=no --param_file scripts/config/self_test_ltv.prm -dut_decoder_path ./IVAS_dec --decoder_only --dut_fr 10 || true
    - python3 -m pytest $TESTS_DIR_CODEC_BE_ON_MR/test_sba.py -v -n auto -q --tb=no --update_ref 1 --ref_encoder_path ./IVAS_cod --ref_decoder_path ./IVAS_dec --use_ltv
    - python3 -m pytest $TESTS_DIR_CODEC_BE_ON_MR/test_sba.py -v -n auto -q --tb=no --dut_encoder_path ./IVAS_cod --dut_decoder_path ./IVAS_dec --dut_fr 5 --decoder_only --use_ltv || true
    - python3 -m pytest $TESTS_DIR_CODEC_BE_ON_MR/test_sba.py -v -n auto -q --tb=no --dut_encoder_path ./IVAS_cod --dut_decoder_path ./IVAS_dec --dut_fr 10 --decoder_only --use_ltv || true
    # run renderer smoke test - needed for REFVEC tests
    - python3 -m pytest -q -n auto tests/renderer/test_renderer.py --use_ltv
    - python3 -m pytest -n auto -q --tb=no tests/renderer/test_renderer.py --use_ltv
    # run renderer test only with REF creation stage - no CUT needed since executables are identical
    - python3 -m pytest -q -n auto tests/renderer/test_renderer.py --use_ltv --create_ref
    - python3 -m pytest -n auto -q --tb=no tests/renderer/test_renderer.py --use_ltv --create_ref
    # split rendering test doesn't support LTV - skipped here
    # VoIP BE tests don't support LTV - skipped here